Petr Illek, Drupalista

Podle dlouhodobého plánu vyšla na prvního Máje nová minoritní verze Drupalu s pořadovým číslem 8. 7. Tato verze přináší mnoho drobných vylepšení ale i několik výraznějších změn.

Zrušení podpory starých verzí PHP

Od této verze již nejsou podporované verze PHP 5.5 a 5.6. jejichž bezpečnostní podpora byla ukončena v prosinci minulého roku. Pokud ještě používáte Drupal 8 s těmito verzemi, měli byste zvážit co nejrychlejší update alespoň na verzi 7.1, ideálně však na verzi 7.2. Dočkáte se jednak bezpečnostní podpory a vydávání nových verzí, ale také znatelně vyššího výkonu pro vaši stránku.

Konec podpory pro starší prohlížeče

Internet Explorer 9 a 10 nejsou podporovány od verze Drupalu 8.4, ale až do teď ještě zůstavala v systému funkce na umožnění vložení více jak 32 stylopisů CSS pro tyto prohlížeče. Pokud je ještě potřebujete podporovat, zapněte agregaci, nebo si nainstalujete rozšiřující modul IE9 compatibility.

Změny v systému políček a entit

Odkazy menu a taxonomické termíny umožňují nyní zapnutí revizí a tím pádem i kompletního editorského workflow.
Poznámka: S updatem počkejte na verzi 8.7.2, kde je opravená chyba znemožňující hladký průběh aktualizace pro stránky s jiným než anglickým jazykem. (Patch pro nedočkavce: https://www.drupal.org/project/drupal/issues/3052492)

Layout Builder – revoluční modul je stabilní

Jako editor nebo sitebuilder máte nyní v ruce mocný nástroj pro jednoduchou a rychlou visuální tvorbu laoyutů pro všechny entity a jejich typy zobrazení. Rozhraní pro práci s Layout builderem je relativně intuitivní, nabízí několik ovládacích prvků a drag and drop rozhraní.
Modul může být náhradou za populární moduly Display Suite, Panels a Panelizer. Neobshauje sice všechny jejich možnosti, ale na dalším vývoji se pracuje. K dispozci je jak tvorba laytů globální, tak i možnost jejich přepsání na úrovni každého uzlu.

JSON:API – nový stabilní modul

Je nejnovější přírůstek do jádra Drupalu. Jelikož byl již delší dobu vyvíjen jako rozšiřující modul, dostal se do jádra hned ve stabilní verzi. Pokud používáte verzi 8.x-2.x tohoto rozšiřujícího modulu, můžete jej nyní bez starostí odinstalovat “composer remove drupal/jsonapi”. Všechny jeho funkce jsou obsaženy přímo v jádře.

Pro detailní seznam všech změn se podívejte na originální release notes: https://www.drupal.org/project/drupal/releases/8.7.0

Přidat komentář